Bug 450888 - Documentation (RHEL 5): Provide example configuration for NFS GFS configuration in a 5 node cluster.
Documentation (RHEL 5): Provide example configuration for NFS GFS configurati...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Documentation-cluster (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Steven J. Levine
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-11 12:26 EDT by Paul Kennedy
Modified: 2015-04-19 20:47 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-26 09:50:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Kennedy 2008-06-11 12:26:29 EDT
Description of problem:
Provide example configuration for NFS-GFS configuration in a 5 node cluster.
Include specification of clients connection setup and how to manage failover of
the servers. This documentation is an example document to supplement existing
cluster suite documentation.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Note: This bug is being opened from a use case cited in Bug #233052.
Comment 1 Steven J. Levine 2008-08-07 14:02:16 EDT
I sent the following email on August 4 to the following review list:

To:  cluster-storage-field-list@redhat.com,  cluster-pm-list@redhat.com,
 consult-list@redhat.com,  tech-list@redhat.com,  se@redhat.com,
 cluster-list@redhat.com,  content-services-list@redhat.com,
 gss-list@redhat.com
CC: "Michael H. Smith" <mhideo@redhat.com>,
 Steven Bonneville <sbonnevi@redhat.com>,
 Marc Curry <mcurry@redhat.com>

Subject: To Review: Outline of New Cluster Configuration Procedure Doc

Enclosed for your review is the outline for the first
of several proposed cluster configuration procedure documents.
This document will provide a procedure for configuring
NFS over GFS in a 5-node Red Hat Cluster using Conga.

As documented in Bug 450888, which is a branch off
of Bug 233052, we are beginning to document example
cluster configuration procedures for "common use" cases.
This documentation will supplement existing cluster suite
documentation.

This first procedural document is for a simple
configuration of a single NFS service that can
fail over to any of the nodes in the cluster. Once we document
this procedure and work out a template for the
documentation, we can add procedures for more complicated
configurations.

Please let me know by Monday, August 11 if you have any
comments or suggestions for this document in particular.
In addition, if you are able to help in providing
other sample cluster configuration procedures you think
would be useful, please let me know that as well.
You can check out Bug 233052 to see what other cluster
configuration procedures we are planning to document down
the line.

Thank you,

-Steven Levine

Configuring NFS over GFS in Red Hat Cluster Suite
-------------------------------------------------

I. Introduction

Description of cluster configuration that this procedure
provides:

- 5 nodes in a cluster
- NFS services over GFS file system
- N clients: Will show target configuration of 2

A. Illustration of setup that this procedure will define

B. Description of what happens with this configuration:

   - Cluster Suite assigns server
   - If server goes down, automatically fails over
   - Failover invisible to client

II. Prerequisite Configuration

Description and table of what has been set up beforehand:

- 5-Node Cluster
- Fencing Devices for each node
- Logical volume with GFS filesystem
- No failover domain defined: Cluster will take care
of administration within system.

III. Components to Configure

Table of what this procedure will define (spec sheet):

- Resources and parameters
- NFS service

IV. Configuring Resources

Procedure for configuring the following resources using Conga,
with descriptions of each parameter and its meaning:

- IP address
- GFS file system
- NFS export
- NFS clients

V. Configuring Service

Procedure for configuring an NFS service using Conga,
with descriptions of the service parameters and a small discssion
of configuring child resources in NFS services:

- Name of Service
- IP address
- GFS Resource
  - NFS export is a child of GFS
    - NFS clients are children of NFS export

VI. Checking Service

Simple instructions for checking that the service is working:
- Go to client and execute an NFS mount
- Fence the node and check what happens (from client side, and from Conga administration view)

VII. The Cluster Configuration File

Example of configuration file before the resources and services
were defined in this procedure, and after the resources and services
were defined for this procedure.

VI. Troubleshooting

What to check if NFS mount is not working, or if failover is not happening.

VIII. General Caveats and Concerns in NFS Configuration

- NFS is not cluster aware
- Other concerns?
Comment 2 Steven J. Levine 2009-02-26 09:50:22 EST
The RHEL 5.3 release includes a new manual documenting configuration of NFS-GFS in a cluster.

Note You need to log in before you can comment on or make changes to this bug.